<?php
	class Connect {
		
		protected $_db;

		public function __construct(){
			try{
				// Connexion à la base de données
				$this->_db	= new PDO(
								"mysql:host=boulayoune.com;dbname=projet_folliow", // Serveur et BDD "mysql:host=localhost;dbname=projet_folliow", 
								"projet_user", //Nom d'utilisateur de la base de données root
								"F0lliowRules!",// Mot de passe de la base de données 
								array(PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC) // Mode de renvoi
				);
				// Pour résoudre les problèmes d’encodage
				$this->_db->exec("SET CHARACTER SET utf8");
				// Configuration des exceptions
				$this->_db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);			
			} catch(PDOException$e) {
				echo "Échec : " . $e->getMessage();
			}
		}
	}
	
	/**
	Pour passer sur le serveur de YASS:
		*"mysql:host=boulayoune.com;dbname=projet_folliow", // Serveur et BDD
		"projet_user", //Nom d'utilisateur de la base de données
		"F0lliowRules!",// Mot de passe de la base de données
		Site pour BDD: https://phpmyadmin.boulayoune.com/index.php?route=/sql&pos=0&db=projet_folliow&table=project
		
	Pour passer en local:
		"mysql:host=localhost;dbname=projet_folliow", // Serveur et BDD
		"root", //Nom d'utilisateur de la base de données
		"",// Mot de passe de la base de données
	*/